posix_getcwd
posix_geteuid
POSIX Functions
PHP Manual

# posix_getegid

Return the effective group ID of the current process

### Description

int posix_getegid ( void )

Return the numeric effective group ID of the current process.

### Return Values

Returns an integer of the effective group ID.

### Examples

Example #1 posix_getegid example

This example will print out the effective group id, once it is changed with posix_setegid.

`<?php
echo 'My real group id is '.posix_getgid(); //20
posix_setegid(40);
echo 'My real group id is '.posix_getgid(); //20
echo 'My effective group id is '.posix_getegid(); //40
?>`

### Notes

posix_getegid is different than posix_getgid because effective group ID can be changed by a calling process using posix_setegid.

### See Also

- posix_getgrgid
- posix_getgid
- posix_setgid